unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls,
  Spin, TAGraph, TAChartListbox, TASeries;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Chart1: TChart;
    ChartListbox1: TChartListbox;
    Label1: TLabel;
    Panel1: TPanel;
    SpinEdit1: TSpinEdit;
    Splitter1: TSplitter;
    procedure Button1Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
const
  XMIN = 0;
  XMAX = 1000;
  N = 1000;
var
  ser: TLineSeries;
  i: Integer;
  peakPos: Double;
  peakWidth: Double;
  peakHeight: Double;
  x, y: Double;
begin
  ser := TLineSeries.Create(Chart1);
  Chart1.AddSeries(ser);
  ser.SeriesColor := Random($FFFFFF);
  ser.Title := Format('Series %d', [ Chart1.SeriesCount ]);
  peakPos := Random * (XMAX - XMIN) + XMIN;
  peakWidth := Random * (XMAX - XMIN) / 10;
  peakHeight := Random * 100;
  for i := 0 to N-1 do
  begin
    x := XMIN + (XMAX - XMIN) * i / (N-1);
    y := peakHeight * exp(-sqr((x - peakPos) / peakWidth));
    ser.AddXY(x, y);
  end;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  ChartListbox1.Columns := SpinEdit1.Value;
end;


end.

